POST
/project/{projectId}/rules
curl \
--request POST 'https://live.smartpmtech.com/project/{projectId}/rules' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"bulkChangeItems": [
{
"valueType": "VALUE",
"field": "string",
"id": 42,
"newValue": "string"
}
],
"bulkChangeExclusions": [
{
"id": 42,
"activityId": 42
}
],
"filterId": 42
}'
Request examples
Bulkchangerule
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"bulkChangeItems": [
{
"valueType": "VALUE",
"field": "string",
"id": 42,
"newValue": "string"
}
],
"bulkChangeExclusions": [
{
"id": 42,
"activityId": 42
}
],
"filterId": 42
}
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"rules": [
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"bulkChangeItems": [
{
"valueType": "VALUE",
"field": "string",
"id": 42,
"newValue": "string"
}
],
"bulkChangeExclusions": [
{
"id": 42,
"activityId": 42
}
],
"filterId": 42
}
]
}
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"oneOffChangeItems": [
{
"value": "string",
"field": "string",
"id": 42,
"revisionAction": "ADDED",
"entity": "Activity",
"entityId": 42
}
]
}
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"rejectItems": [
{
"field": "string",
"id": 42,
"newValue": "string",
"revisionAction": "ADDED",
"oldValue": "string",
"entity": "Activity",
"entityId": 42
}
]
}
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"revertItems": [
{
"field": "string",
"id": 42,
"newValue": "string",
"revisionAction": "ADDED",
"oldValue": "string",
"toImportLogId": 42,
"entity": "Activity",
"entityId": 42
}
]
}
Response examples (200)
Bulkchangerule
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"bulkChangeItems": [
{
"valueType": "VALUE",
"field": "string",
"id": 42,
"newValue": "string"
}
],
"bulkChangeExclusions": [
{
"id": 42,
"activityId": 42
}
],
"filterId": 42
}
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"oneOffChangeItems": [
{
"value": "string",
"field": "string",
"id": 42,
"revisionAction": "ADDED",
"entity": "Activity",
"entityId": 42
}
]
}
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"rejectItems": [
{
"field": "string",
"id": 42,
"newValue": "string",
"revisionAction": "ADDED",
"oldValue": "string",
"entity": "Activity",
"entityId": 42
}
]
}
{
"name": "string",
"id": 42,
"type": "string",
"importLogId": 42,
"revertItems": [
{
"field": "string",
"id": 42,
"newValue": "string",
"revisionAction": "ADDED",
"oldValue": "string",
"toImportLogId": 42,
"entity": "Activity",
"entityId": 42
}
]
}